JsonReader (ORC Tools 1.6.6 API)
Date: 2021-01-13

org.apache.orc.tools.convert

## Class JsonReader

- java.lang.Object
- - org.apache.orc.tools.convert.JsonReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, RecordReader

      public class JsonReader
      extends Object
      implements RecordReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonReader(Iterator<com.google.gson.JsonElement> parser, FSDataInputStream underlying, long size, TypeDescription schema, String timestampFormat)`
    `JsonReader(Reader reader, FSDataInputStream underlying, long size, TypeDescription schema, String timestampFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `float` | `getProgress()`
    `long` | `getRowNumber()`
    `boolean` | `nextBatch(VectorizedRowBatch batch)`
    `void` | `seekToRow(long rowCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonReader

          public JsonReader(Reader reader,
                            FSDataInputStream underlying,
                            long size,
                            TypeDescription schema,
                            String timestampFormat)
                     throws IOException

      Throws:
        `IOException`

    - #### JsonReader

          public JsonReader(Iterator<com.google.gson.JsonElement> parser,
                            FSDataInputStream underlying,
                            long size,
                            TypeDescription schema,
                            String timestampFormat)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### nextBatch

          public boolean nextBatch(VectorizedRowBatch batch)
                            throws IOException

      Specified by:
        `nextBatch` in interface `RecordReader`
      Throws:
        `IOException`

    - #### getRowNumber

          public long getRowNumber()
                            throws IOException

      Specified by:
        `getRowNumber` in interface `RecordReader`
      Throws:
        `IOException`

    - #### getProgress

          public float getProgress()
                            throws IOException

      Specified by:
        `getProgress` in interface `RecordReader`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `RecordReader`
      Throws:
        `IOException`

    - #### seekToRow

          public void seekToRow(long rowCount)
                         throws IOException

      Specified by:
        `seekToRow` in interface `RecordReader`
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.